Subject: Re: bug#23851: Emacs 24.5 fails to build in Debian S/390x QEMU/Chroot

From: [email-masked] (Phillip Lord)
Date: Mon, 27 Jun 2016 15:02:42 +0100

Jeffrey

Just out of curiosity, it might be worth trying the pre-test builds for
Emacs-25, which are available here:

http://alpha.gnu.org/gnu/emacs/pretest/

Phil

Jeffrey Walton <[email-masked]> writes:

> I have a Debian S/390x QEMU/Chroot. It is a command line environment
> without a windowing system.
>
> I am attempting to build Emacs 24.5. It fails to build. Below are the
> steps to reproduce the failure.
>
> First, fetch:
>
> wget http://mirrors.syringanetworks.net/gnu/emacs/emacs-24.5.tar.gz
> tar xzf emacs-24.5.tar.gz
> cd emacs-24.5/
>
> Next, attempt to build:
>
> ./configure --with-xml2 --with-zlib --without-x --without-sound --without-xpm \
>   --without-jpeg --without-tiff --without-gif --without-png --without-rsvg \
>   --without-imagemagick --without-xft --without-libotf --without-m17n-flt \
>   --without-xaw3d --without-toolkit-scroll-bars --without-gpm --without-dbus \
>   --without-gconf --without-gsettings --without-makeinfo \
>   --without-compress-install
>
> It results in:
>
> make[2]: Entering directory '/root/emacs-24.5/lisp'
> for file in `find . -type d -print`; do case $file in .*/cedet* |
> .*/leim* ) ;; *) wins="$wins${wins:+ }$file" ;; esac; done; \
> for file in $wins; do \
>    ./../build-aux/update-subdirs $file; \
> done;
> make[2]: Leaving directory '/root/emacs-24.5/lisp'
> if test "no" = "yes"; then \
>   rm -f bootstrap-emacs; \
>   ln temacs bootstrap-emacs; \
> else \
>   ./temacs --batch --load loadup bootstrap || exit 1; \
>   test "X" = X ||  -zex emacs; \
>   mv -f emacs bootstrap-emacs; \
> fi
> Loading loadup.el (source)...
> Using load-path (/root/emacs-24.5/lisp
> /root/emacs-24.5/lisp/emacs-lisp /root/emacs-24.5/lisp/language
> /root/emacs-24.5/lisp/international /root/emacs-24.5/lisp/textmodes
> /root/emacs-24.5/lisp/vc)
> Loading emacs-lisp/byte-run...
> /bin/bash: line 7: 17142 Segmentation fault      ./temacs --batch
> --load loadup bootstrap
> Makefile:815: recipe for target 'bootstrap-emacs' failed
> make[1]: *** [bootstrap-emacs] Error 1
> make[1]: Leaving directory '/root/emacs-24.5/src'
> Makefile:387: recipe for target 'src' failed
> make: *** [src] Error 2
>
> At this point, I have tried to build Emacs without Lisp since I don't
> use it. I'm told its not possible. Confer,
> http://lists.gnu.org/archive/html/help-gnu-emacs/2016-06/msg00412.html.
>
> I think its best to turn this issue over to the Emacs folks.